> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the current state of addresses in an access registry

> Returns the current state of addresses in the specified access registry. Only addresses that are currently active (added but not removed) are included.



## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml get /onchain_data/base_asset_id/{baseAssetId}/access_registry_address/{accessRegistryAddress}/list
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /onchain_data/base_asset_id/{baseAssetId}/access_registry_address/{accessRegistryAddress}/list:
    get:
      tags:
        - Onchain Data
      summary: Get the current state of addresses in an access registry
      description: >-
        Returns the current state of addresses in the specified access registry.
        Only addresses that are currently active (added but not removed) are
        included.
      operationId: getAccessRegistryCurrentState
      parameters:
        - $ref: '#/components/parameters/BaseAssetId'
        - $ref: '#/components/parameters/AccessRegistryAddress'
        - $ref: '#/components/parameters/PageCursor'
        - $ref: '#/components/parameters/PageSize'
        - $ref: '#/components/parameters/ListAccessRegistrySortBy'
        - $ref: '#/components/parameters/Order'
      responses:
        '200':
          description: Access registry current state retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccessRegistryCurrentStateResponse'
        default:
          $ref: '#/components/responses/Error'
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response:
            Promise<FireblocksResponse<AccessRegistryCurrentStateResponse>> =
            fireblocks.onchainData.getAccessRegistryCurrentState(onchainDataApiGetAccessRegistryCurrentStateRequest);
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<AccessRegistryCurrentStateResponse>>
            response =
            fireblocks.onchainData().getAccessRegistryCurrentState(baseAssetId,
            accessRegistryAddress, pageCursor, pageSize, sortBy, order);
        - lang: Python
          source: >-
            response =
            fireblocks.onchain_data.get_access_registry_current_state(base_asset_id,
            access_registry_address, page_cursor, page_size, sort_by, order);
components:
  parameters:
    BaseAssetId:
      name: baseAssetId
      in: path
      description: The blockchain base assetId
      example: ETH_TEST3
      schema:
        type: string
      required: true
    AccessRegistryAddress:
      name: accessRegistryAddress
      in: path
      description: The access registry address
      example: '0xC2c4e1Db41F0bB97996D0eD0542D2170d146FB66'
      schema:
        type: string
      required: true
    PageCursor:
      name: pageCursor
      in: query
      description: Page cursor to get the next page"
      example: MjAyMy0xMi0xMyAyMDozNjowOC4zMDI=:MTEwMA==
      schema:
        type: string
      required: false
    PageSize:
      name: pageSize
      in: query
      description: >-
        Number of items per page (max 100), requesting more then 100 will return
        100 items
      example: 10
      schema:
        type: integer
        minimum: 1
        maximum: 100
      required: false
    ListAccessRegistrySortBy:
      name: sortBy
      in: query
      description: Sorting field (enum).
      required: false
      schema:
        type: string
        enum:
          - dateAdded
          - address
        default: dateAdded
    Order:
      name: order
      in: query
      description: ASC / DESC ordering (default DESC)
      required: false
      schema:
        type: string
        enum:
          - ASC
          - DESC
        default: DESC
  schemas:
    AccessRegistryCurrentStateResponse:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/AccessRegistryAddressItem'
          description: Array of active addresses in the access registry
        next:
          type: string
          example: MjAyMy0xMi0xMyAyMDozNjowOC4zMDI=:MTEwMA==
          description: Cursor for next page
        prev:
          type: string
          example: dGhpcyBpcyBhIHByZXZpb3VzIGN1bcnNvcg==
          description: Cursor for previous page
        total:
          type: number
          example: 150
          description: Total count of active addresses in the access registry
      required:
        - data
    AccessRegistryAddressItem:
      type: object
      properties:
        address:
          type: string
          description: The address that was added to the access registry
          example: '0xC2c4e1Db41F0bB97996D0eD0542D2170d146FB66'
        dateAdded:
          type: string
          format: date-time
          description: The date when the address was added to the access registry
          example: '2024-07-01T00:00:00.000Z'
      required:
        - address
        - dateAdded
    ErrorSchema:
      type: object
      properties:
        message:
          type: string
        code:
          type: number
  responses:
    Error:
      description: Error Response
      headers:
        X-Request-ID:
          $ref: '#/components/headers/X-Request-ID'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorSchema'
  headers:
    X-Request-ID:
      schema:
        type: string
      description: >-
        Unique ID correlated to the API request. Please provide it in any
        support ticket you create or on Github issues related to Fireblocks SDKs

````